ZipArchive::deleteIndex
ZipArchive::extractTo
ZipArchive
PHP Manual

# ZipArchive::deleteName

(PHP 5 >= 5.2.0, PECL zip >= 1.5.0)

ZipArchive::deleteName — delete an entry in the archive using its name

### Description

bool ZipArchive::deleteName ( string `$name` )

Delete an entry in the archive using its name.

### Parameters

`name`

  Name of the entry to delete.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Deleting a file and directory from an archive, using names

`<?php
$zip = new ZipArchive;
if ($zip->open('test1.zip') === TRUE) {
$zip->deleteName('testfromfile.php');
$zip->deleteName('testDir/');
$zip->close();
echo 'ok';
} else {
echo 'failed';
}
?>`

ZipArchive::deleteIndex
ZipArchive::extractTo
ZipArchive
PHP Manual